##### basic_stream_socket::basic_stream_socket (2 of 10 overloads)

Construct a `basic_stream_socket` without opening it.

    template<
        typename ExecutionContext>
    basic_stream_socket(
        ExecutionContext & context,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value >::type *  = 0);

This constructor creates a stream socket without opening it. The socket needs to be opened and then connected or accepted before data can be sent or received on it.

###### Parameters

context

  An execution context which provides the I/O executor that the socket will use, by default, to dispatch handlers for any asynchronous operations performed on the socket.